SND_HWPARAMS_TO_DMA_(9)

NAME
snd_hwparams_to_dma_slave_config - Convert hw_params to dma_slave_config

SYNOPSIS

int snd_hwparams_to_dma_slave_config(const struct snd_pcm_substream * substream, const struct snd_pcm_hw_params * params, struct dma_slave_config * slave_config);

ARGUMENTS

substream
    PCM substream

params
    hw_params

slave_config
    DMA slave config

DESCRIPTION

This function can be used to initialize a dma_slave_config from a substream and hw_params in a dmaengine based PCM driver implementation.

COPYRIGHT